package com.ssj.service.conch.student.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;

import io.swagger.annotations.ApiModelProperty;

public class UploadPictureReq extends BaseRequest {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(name = "vipId", value = "会员id", required = true)
    private String  vipId;

    @ApiModelProperty(name = "currentTime", value = "时间", required = true)
    private Long    currentTime;

    @ApiModelProperty(name = "bizId", value = "业务Id", required = false)
    private String  bizId;

    @ApiModelProperty(name = "fileKeys", value = "文件名称", required = true)
    private String  fileKeys;

    @ApiModelProperty(name = "uploadType", value = "类型-作业(HOMEWORK),难题(PROBLEM),小时光(SMARTTIME)", required = true)
    private String  uploadType;
    
    @ApiModelProperty(name = "courseName", value = "科目(YUWEN,YINGYU，SHUXUE)", required = false)
    private String  courseName;

	public String getVipId() {
		return vipId;
	}

	public void setVipId(String vipId) {
		this.vipId = vipId;
	}

	public Long getCurrentTime() {
		return currentTime;
	}

	public void setCurrentTime(Long currentTime) {
		this.currentTime = currentTime;
	}

	public String getBizId() {
		return bizId;
	}

	public void setBizId(String bizId) {
		this.bizId = bizId;
	}

	public String getFileKeys() {
		return fileKeys;
	}

	public void setFileKeys(String fileKeys) {
		this.fileKeys = fileKeys;
	}

	public String getUploadType() {
		return uploadType;
	}

	public void setUploadType(String uploadType) {
		this.uploadType = uploadType;
	}

	public String getCourseName() {
		return courseName;
	}

	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}
}
